
QGIS Application - Bug report #4340

QGIS crashes on full zoom or zoom to layer extent.

2011-09-30 03:22 PM - Thaddeus -

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 14277

Description

QGIS instantly disappears from screen when doing a "Zoom Full" or "Zoom to layer extent" on an a single SRT30 file and using the

Google projection. I was using these SRTM30 files:

http://dds.cr.usgs.gov/srtm/version2_1/SRTM30/w100n40/w100n40.hdr.zip

http://dds.cr.usgs.gov/srtm/version2_1/SRTM30/w100n40/w100n40.dem.zip

http://dds.cr.usgs.gov/srtm/version2_1/SRTM30/w100n40/w100n40.prj.zip

Same crash if using W060N40.DEM, but all OK if trying W100N90.DEM ?. Also, when I took the screenshot, I dragged the desktop task

bar out of the way and it stopped crashing, but when dragging the task bar back to its place (bottom of screen) it blows up, even if QGIS

is not on focus ?

Tried this on 1.7 and 1.7.1 under Win2k.

History

#1 - 2011-09-30 03:23 PM - Thaddeus -

Zoom in and Zoom out work OK too.

#2 - 2011-10-01 05:38 AM - Giovanni Manghi

- Category set to Rasters

Thaddeus - wrote:

Zoom in and Zoom out work OK too.

cannot replicate here on both windows (seven) and linux and qgis 1.7.1 and trunk.

Can you please try in another machine and/or try backup/remove your plugins: sometimes there are 3rd party plugins that cause qgis to crash.

#3 - 2011-10-02 07:08 PM - Thaddeus -

Yeah, I just tried another PC with XP and Ubuntu and could not replicate either: I'm going to try angain tomorrow on the same PC.
#4 - 2011-10-03 08:03 AM - Thaddeus -

Well, confirmed, it does crash on Win2k, but I must confess I got QGIS 1.5, 1.6, 1.7 and 1.7.1 installed on the same PC, all fighting for the same entries on

the registry and the user setting files --Uhh, forgot 1.4 recently removed. Anyway... I work half of the time on Linux... For now, I cannot wipe out all the

QGIS's to make a clean install because I really need the feature that lets me identify the Band I'm plotting (1.6) and that was not included on the 1.7.1.

#5 - 2011-10-03 08:06 AM - Giovanni Manghi

Thaddeus - wrote:

I really need the feature that lets me identify the Band I'm plotting (1.6) and that was not included on the 1.7.1

? can you explain better? Are you speaking of the QGIS identify tool or about a 3rd party plugin?

#6 - 2011-10-03 08:40 AM - Thaddeus -

It took me a while to find this reference. No, it's not a plugin: see these two bug and feature reports.

Bug     #4138 Unable to keep raster band, always defaulting to Band 1.

Feature #4144 New Feature: show Raster Band number on Layer Panel entries.

That was working fine on my 1.6 QGIS, but is not working on 1.7 and 1.7.1.

By the way, while looking for the #4138 bug, I found the #4157 which is exactly what I was experiencing with my bug report #4283: it's a repeat ?

Bug     #4157 Empty map composer on reopen project

Bug     #4283 Composer forgets on/off status of layers ("Lock layers for map item" feature)

#7 - 2011-10-06 03:37 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Thaddeus - wrote:

Well, confirmed, it does crash on Win2k, but I must confess I got QGIS 1.5, 1.6, 1.7 and 1.7.1 installed on the same PC, all fighting for the same

entries on the registry and the user setting files --Uhh, forgot 1.4 recently removed. Anyway... I work half of the time on Linux... For now, I cannot

wipe out all the QGIS's to make a clean install because I really need the feature that lets me identify the Band I'm plotting (1.6) and that was not

included on the 1.7.1.

so... it can be very well a local problem of your win2k pc. The other two are separate issue. Please reopen if you can replicate this on other

machines/installations.
